# Type Alias SearchQueryFilterModel

Used in search query to specify a filter field : name/id of the filter category (ie skills) value : id of the field (ie react) exclude : boolean to include or exclude the filter

type SearchQueryFilterModel = {
exclude?: boolean;
field: string;
or?: boolean;
value: string | string[];
}

- Defined in jamespot-user-api/src/types/search.ts:93

##### Index

### Properties

exclude?
field
or?
value

## Properties

### `Optional` exclude

exclude?: boolean

- Defined in jamespot-user-api/src/types/search.ts:96

### field

field: string

- Defined in jamespot-user-api/src/types/search.ts:94

### `Optional` or

or?: boolean

- Defined in jamespot-user-api/src/types/search.ts:97

### value

value: string | string[]

- Defined in jamespot-user-api/src/types/search.ts:95